> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Product Attribute Config

<Warning>
  This page does not apply to installs made in 2025 or later of the Depict Shopify apps
</Warning>


## OpenAPI

````yaml post /catalog/v0/product_attribute_config
openapi: 3.1.0
info:
  title: Depict API
  version: '1.0'
servers: []
security: []
paths:
  /catalog/v0/product_attribute_config:
    post:
      tags:
        - Catalog Push API (v0)
      summary: Set Product Attribute Config
      operationId: set_product_attribute_config_catalog_v0_product_attribute_config_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetProductAttributeConfigRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SetProductAttributeConfigRequest:
      properties:
        merchant:
          type: string
          title: Merchant
        attributes:
          additionalProperties:
            $ref: '#/components/schemas/AttributeConfig'
          type: object
          title: Attributes
        locales:
          items:
            type: string
          type: array
          title: Locales
        pricelists:
          items:
            type: string
          type: array
          title: Pricelists
        inventories:
          items:
            type: string
          type: array
          title: Inventories
      additionalProperties: false
      type: object
      required:
        - merchant
        - attributes
        - locales
        - pricelists
        - inventories
      title: SetProductAttributeConfigRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AttributeConfig:
      properties:
        attribute_type:
          $ref: '#/components/schemas/AttributeType'
        dimension:
          $ref: '#/components/schemas/Dimension'
        required:
          type: boolean
          title: Required
          default: true
      additionalProperties: false
      type: object
      required:
        - attribute_type
        - dimension
      title: AttributeConfig
      description: The configuration of an attribute, available before ingestion
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AttributeType:
      type: string
      enum:
        - bool
        - int
        - float
        - str
        - datetime
        - gender
        - age
        - color_hex
        - dict[str,]
        - list[bool]
        - list[int]
        - list[float]
        - list[str]
        - list[dict[str,]]
        - any
        - uuid
        - list[uuid]
      title: AttributeType
    Dimension:
      type: string
      enum:
        - base
        - inventory
        - locale
        - store
        - pricelist
      title: Dimension
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````